#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/var/opt/openit/etc/licpoll.conf";
my $old = "/var/opt/openit/etc/licpoll.conf.old";
my $new = "/var/opt/openit/etc/licpoll.conf.new";

my @conf;

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

# Read in config
open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";
@conf = <IN>;
close(IN);

# config already updates?
exit 0 if ( grep(/anonymize/, @conf) );

# If must insert new lines

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";

# Updated licpoll2 line
foreach my $line (@conf) {
    if($line =~ /working-dir\(DirName\)/) {
	print OUT "\tanonymize()=\"\"
\t{
\t\tusername()=\"\"
\t\t{
\t\t\tfield(String)=\"username\"{}
\t\t\tmethod(String)=\"none\"{}
\t\t}
\t\thostname()=\"\"
\t\t{
\t\t\tfield(String)=\"hostname\"{}
\t\t\tmethod(String)=\"none\"{}
\t\t}
\t}\n";
    }
    print OUT $line;
}

close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
